{
  "schema_version": "1.4.0",
  "id": "GHSA-x83c-3wr5-hrwp",
  "modified": "2022-05-17T03:00:56Z",
  "published": "2022-05-17T03:00:56Z",
  "aliases": [
    "CVE-2017-5576"
  ],
  "details": "Integer overflow in the vc4_get_bcl function in drivers/gpu/drm/vc4/vc4_gem.c in the VideoCore DRM driver in the Linux kernel before 4.9.7 allows local users to cause a denial of service or possibly have unspecified other impact via a crafted size value in a VC4_SUBMIT_CL ioctl call.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-5576"
    },
    {
      "type": "WEB",
      "url": "https://github.com/torvalds/linux/commit/0f2ff82e11c86c05d051cae32b58226392d33bbf"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1416436"
    },
    {
      "type": "WEB",
      "url": "https://lkml.org/lkml/2017/1/17/761"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=0f2ff82e11c86c05d051cae32b58226392d33bbf"
    },
    {
      "type": "WEB",
      "url": "http://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.7"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2017/01/21/7"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/95767"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-02-06T06:59:00Z"
  }
}